Loading...
Searching...
No Matches
Opm::BlackOilBioeffectsParams< Scalar > Struct Template Reference

Struct holding the parameters for the BlackOilBioeffectsModule class. More...

`#include <blackoilbioeffectsparams.hpp>`

## Public Types

enum | { numDiffCoef = 3 }
enum | { micrDiffIdx = 0 }
enum | { oxygDiffIdx = 1 }
enum | { ureaDiffIdx = 2 }
using | TabulatedFunction = Tabulated1DFunction<Scalar>

## Public Attributes

std::vector< TabulatedFunction > | permfactTable_
std::vector< TabulatedFunction > | pcfactTable_
std::vector< Scalar > | densityBiofilm_ {}
std::vector< Scalar > | densityCalcite_ {}
std::vector< Scalar > | detachmentRate_ {}
std::vector< Scalar > | detachmentExponent_ {}
std::vector< Scalar > | halfVelocityGrowth_ {}
std::vector< Scalar > | halfVelocityUrea_ {}
std::vector< Scalar > | maximumGrowthRate_ {}
std::vector< Scalar > | maximumUreaUtilization_ {}
std::vector< Scalar > | microbialAttachmentRate_ {}
std::vector< Scalar > | microbialDeathRate_ {}
std::vector< Scalar > | oxygenConsumptionFactor_ {}
std::vector< Scalar > | yieldGrowthCoefficient_ {}
std::vector< Scalar > | yieldUreaToCalciteCoefficient_ {}
std::vector< std::vector< Scalar > > | bioDiffCoefficient_ {}

## Detailed Description

template<class Scalar>
struct Opm::BlackOilBioeffectsParams< Scalar >

Struct holding the parameters for the BlackOilBioeffectsModule class.

The documentation for this struct was generated from the following file:

- opm/models/blackoil/blackoilbioeffectsparams.hpp